<?php
declare(strict_types=1);

use Cake\ORM\TableRegistry;
use Migrations\AbstractSeed;

/**
 * Install seed.
 */
class InstallSeed extends AbstractSeed {
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * http://docs.phinx.org/en/latest/seeding.html
     *
     * @return void
     */
    public function run(): void {
        $UpsImporter = new \UPSModule\Lib\InitialDatabase\TemplateImport(
            TableRegistry::getTableLocator()->get('Commands'),
            TableRegistry::getTableLocator()->get('Servicetemplates'),
            TableRegistry::getTableLocator()->get('WizardAssignments')
        );
        $UpsImporter->import();
    }
}
